WriterOutputStream
Date: 2016-04-28

org.apache.xmlgraphics.util

## Class WriterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.xmlgraphics.util.WriterOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class WriterOutputStream
      extends java.io.OutputStream

  An OutputStream wrapper for a Writer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterOutputStream(java.io.Writer writer)` Creates a new WriterOutputStream.
    `WriterOutputStream(java.io.Writer writer, java.lang.String encoding)` Creates a new WriterOutputStream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `write(byte[] buf)`
    `void` | `write(byte[] buf, int offset, int length)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterOutputStream

          public WriterOutputStream(java.io.Writer writer)

      Creates a new WriterOutputStream.
      Parameters:
        `writer` - the Writer to write to

    - #### WriterOutputStream

          public WriterOutputStream(java.io.Writer writer,
                            java.lang.String encoding)

      Creates a new WriterOutputStream.
      Parameters:
        `writer` - the Writer to write to
        `encoding` - the encoding to use, or null if the default encoding should be used

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] buf,
                   int offset,
                   int length)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] buf)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`